Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QIcon.State

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QIcon.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QIcon

    public static final class QIcon.State

extends java.lang.Enum
implements QtEnumerator

This enum describes the state for which a pixmap is intended to be used. The state can be:

See Also:
  Serialized Form

Field Summary
`static QIcon.State` | `Off` Display the pixmap when the widget is in an "off" state
`static QIcon.State` | `On` Display the pixmap when the widget is in an "on" state

Method Summary
`static QIcon.State` | `resolve(int value)` Returns the QIcon$State constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QIcon.State` | `valueOf(java.lang.String name)`
`static QIcon.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### On

    public static final QIcon.State On

  Display the pixmap when the widget is in an "on" state

### Off

    public static final QIcon.State Off

  Display the pixmap when the widget is in an "off" state

Method Detail

### values

    public static QIcon.State[] values()

### valueOf

    public static QIcon.State valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QIcon.State resolve(int value)

  Returns the QIcon$State constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD